Subject: [alpine-aports] [PATCH] main/nginx: upgrade to 1.9.12, lua module upgrade to 0.10.1rc1, dynamic modules

From: Valery Kartel <[email-masked]>
Date: Fri, 26 Feb 2016 16:09:35 +0200

- devkit static module removed, because it is not used by lua module anymore
- nginx-lua, nginx-rtmp static binaries stayed for compatibility

- new static modules compiled in binary:
	poll select http_sub http_flv http_mp4http_slice http_realip http_addition
	http_gunzip http_random_index http_secure_link http_degradation

- new dynamic modules in subpackages:
	http_xslt_filter http_image_filter http_geoip http_lua stream mail
---
 main/nginx/APKBUILD | 96 +++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 68 insertions(+), 28 deletions(-)

diff --git a/main/nginx/APKBUILD b/main/nginx/APKBUILD
index 8960c30..107e8ad 100644
--- a/main/nginx/APKBUILD
+++ b/main/nginx/APKBUILD
@@ -3,7 +3,7 @@
 # Contributor: Bartłomiej Piotrowski <[email-masked]>
 
 pkgname=nginx
-pkgver=1.9.11
+pkgver=1.9.12
 pkgrel=0
 pkgdesc="HTTP and reverse proxy server"
 url="http://www.nginx.org/en"
@@ -19,23 +19,25 @@ depends="$pkgname-common !$pkgname-rtmp !$pkgname-lua"
 # Modules
 _lua_mod=lua-nginx-module
 _lua_dir=$_lua_mod
-_lua_ver=0.10.1rc0
+_lua_ver=0.10.1rc1
 
 _rtmp_mod=nginx-rtmp-module
 _rtmp_dir=$_rtmp_mod
 _rtmp_ver=1.1.7
 
-_devkit_mod=nginx-devel-kit
-_devkit_dir=ngx_devel_kit
-_devkit_ver=0.2.19
-
-makedepends="perl-dev pcre-dev openssl-dev zlib-dev luajit-dev paxmark linux-headers"
-subpackages="$pkgname-doc $pkgname-common $pkgname-vim $pkgname-rtmp $pkgname-lua"
+makedepends="perl-dev pcre-dev openssl-dev zlib-dev luajit-dev linux-headers gd-dev geoip-dev"
+subpackages="$pkgname-doc $pkgname-common $pkgname-vim $pkgname-rtmp $pkgname-lua
+	$pkgname-http_xslt_filter
+	$pkgname-http_image_filter
+	$pkgname-http_geoip
+	$pkgname-http_lua
+	$pkgname-stream
+	$pkgname-mail
+	"
 
 source="http://nginx.org/download/$pkgname-$pkgver.tar.gz
 	$_lua_mod-$_lua_ver.tar.gz::https://github.com/openresty/$_lua_mod/archive/v$_lua_ver.tar.gz
 	$_rtmp_mod-$_rtmp_ver.tar.gz::https://github.com/arut/$_rtmp_mod/archive/v$_rtmp_ver.tar.gz
-	$_devkit_mod-$_devkit_ver.tar.gz::https://github.com/simpl/$_devkit_dir/archive/v$_devkit_ver.tar.gz
 	$pkgname.logrotate
 	$pkgname.initd
 	ipv6.patch
@@ -60,6 +62,7 @@ _build() {
 		--conf-path=/etc/$pkgname/$pkgname.conf \
 		--pid-path=/run/$pkgname/$pkgname.pid \
 		--lock-path=/run/$pkgname/$pkgname.lock \
+		--modules-path=/usr/lib/$pkgname \
 		--http-client-body-temp-path=/var/lib/$pkgname/tmp/client_body \
 		--http-proxy-temp-path=/var/lib/$pkgname/tmp/proxy \
 		--http-fastcgi-temp-path=/var/lib/$pkgname/tmp/fastcgi \
@@ -68,16 +71,34 @@ _build() {
 		--user=$pkgusers \
 		--group=$_grp_ngx \
 		--with-ipv6 \
+		--with-threads \
 		--with-file-aio \
 		--with-pcre-jit \
+		--with-poll_module \
+		--with-select_module \
+		--with-http_sub_module \
 		--with-http_dav_module \
+		--with-http_flv_module \
+		--with-http_mp4_module \
 		--with-http_ssl_module \
+		--with-http_slice_module \
+		--with-http_realip_module \
+		--with-http_addition_module \
 		--with-http_stub_status_module \
+		--with-http_gunzip_module \
 		--with-http_gzip_static_module \
 		--with-http_v2_module \
 		--with-http_auth_request_module \
-		--with-mail \
+		--with-http_random_index_module \
+		--with-http_secure_link_module \
+		--with-http_degradation_module \
+		--with-http_xslt_module=dynamic \
+		--with-http_image_filter_module=dynamic \
+		--with-http_geoip_module=dynamic \
+		--with-mail=dynamic \
 		--with-mail_ssl_module \
+		--with-stream=dynamic \
+		--with-stream_ssl_module \
 		$@ || return 1
 	make || return 1
 	mv objs/$pkgname objs/$binary
@@ -86,17 +107,20 @@ _build() {
 build() {
 	cd "$_builddir"
 
-	_build $pkgname-lua --build="rtmp,lua" \
-		--add-module="$srcdir/$_devkit_dir-$_devkit_ver" \
-		--add-module="$srcdir/$_rtmp_dir-$_rtmp_ver" \
+## static lua
+	_build $pkgname-lua --build="lua" \
 		--add-module="$srcdir/$_lua_dir-$_lua_ver" \
 	|| return 1
 
+## static rtmp
 	_build $pkgname-rtmp --build="rtmp" \
 		--add-module="$srcdir/$_rtmp_dir-$_rtmp_ver" \
 	|| return 1
 
-	_build $pkgname || return 1
+## no external static modules
+	_build $pkgname \
+		--add-dynamic-module="$srcdir/$_lua_dir-$_lua_ver" \
+	|| return 1
 }
 
 package() {
@@ -108,8 +132,7 @@ package() {
 
 	install -Dm644 README "$pkgdir"/usr/share/doc/$pkgname/README
 	cp -r "$srcdir"/$_lua_dir-$_lua_ver/doc "$pkgdir"/usr/share/doc/$pkgname/$_lua_mod || return 1
-	cp -r "$srcdir"/$_rtmp_dir-$_rtmp_ver/doc "$pkgdir"/usr/share/doc/$pkgname/$_rtmp_mod
-	cp -r "$srcdir"/$_devkit_dir-$_devkit_ver/docs "$pkgdir"/usr/share/doc/$pkgname/$_devkit_mod
+	cp -r "$srcdir"/$_rtmp_dir-$_rtmp_ver/doc "$pkgdir"/usr/share/doc/$pkgname/$_rtmp_mod || return 1
 
 	install -Dm755 "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
 	install -Dm644 "$srcdir"/$pkgname.logrotate "$pkgdir"/etc/logrotate.d/$pkgname
@@ -123,10 +146,13 @@ package() {
 
 	install -dm755 "$pkgdir"/var/log
 	mv "$pkgdir"/var/lib/$pkgname/logs "$pkgdir"/var/log/$pkgname
+	ln -sf /usr/lib/$pkgname "$pkgdir"/var/lib/$pkgname/modules
 	ln -sf /var/log/$pkgname "$pkgdir"/var/lib/$pkgname/logs
 	ln -sf /run/$pkgname "$pkgdir"/var/lib/$pkgname/run
 
-	sed -i -E "s~logs(/nginx.pid.*$)~run\1~" "$pkgdir"/etc/$pkgname/$pkgname.conf
+	sed -i -E "s~logs(/nginx.pid.*$)~run\1~" \
+		 -e "1 i include conf.d/*.conf" \
+		 "$pkgdir"/etc/$pkgname/$pkgname.conf
 
 	rm -rf "$pkgdir"/run "$pkgdir"/etc/$pkgname/*.default
 }
@@ -148,35 +174,49 @@ vim() {
 }
 
 rtmp() {
-	pkgdesc="$pkgdesc (rtmp support)"
+	pkgdesc="$pkgdesc (static rtmp support)"
 	depends="$pkgname-common !$pkgname !$pkgname-lua"
 	install -Dm755 "$_builddir"/objs/$pkgname-rtmp "$subpkgdir"/usr/sbin/$pkgname
 }
 
 lua() {
-	pkgdesc="$pkgdesc (rtmp & lua support)"
+	pkgdesc="$pkgdesc (static lua support) - deprecated, use nginx-http_lua"
 	depends="$pkgname-common !$pkgname !$pkgname-rtmp"
 	install -Dm755 "$_builddir"/objs/$pkgname-lua "$subpkgdir"/usr/sbin/$pkgname
 }
 
-md5sums="76eb5853a1190e0cfc691aa21c545de3  nginx-1.9.11.tar.gz
-60145f9ffb9ebf455a800046d27b2ebf  lua-nginx-module-0.10.1rc0.tar.gz
+_ngx_mod() {
+	local _name=$1 _file="ngx_${1}_module.so"
+	depends="$pkgname"
+	pkgdesc="NGINX module: $_name"
+	mkdir -p "$subpkgdir"/usr/lib/$pkgname "$subpkgdir"/etc/$pkgname/conf.d
+        mv "$pkgdir"/usr/lib/$pkgname/$_file \
+                "$subpkgdir"/usr/lib/$pkgname || return 1
+	echo "load_module modules/$_file" > "$subpkgdir"/etc/$pkgname/conf.d/$_name.conf
+}
+
+http_xslt_filter() { _ngx_mod http_xslt_filter; }
+http_image_filter() { _ngx_mod http_image_filter; }
+http_geoip() { _ngx_mod http_geoip; }
+http_lua() { _ngx_mod http_lua; }
+stream() { _ngx_mod stream; }
+mail() { _ngx_mod mail; }
+
+md5sums="0afe4a7e589a0de43b7b54aa055a4351  nginx-1.9.12.tar.gz
+86a82453e38c9320d736ecd5dba2e9c3  lua-nginx-module-0.10.1rc1.tar.gz
 8006de2560db3e55bb15d110220076ac  nginx-rtmp-module-1.1.7.tar.gz
-09a18178adca7b5674129d8100ce4f68  nginx-devel-kit-0.2.19.tar.gz
 db194cf3c6c4be12c70c757e0c9ad995  nginx.logrotate
 16dcac0d7a2b406807d3377841d9b480  nginx.initd
 801a87f7f9d27f8ad85b41a78b4c4461  ipv6.patch"
-sha256sums="6a5c72f4afaf57a6db064bba0965d72335f127481c5d4e64ee8714e7b368a51f  nginx-1.9.11.tar.gz
-1bae94d2a0fd4fad39f2544a2f8eaf71335ea512a6f0027af190b46562224c68  lua-nginx-module-0.10.1rc0.tar.gz
+sha256sums="1af2eb956910ed4b11aaf525a81bc37e135907e7127948f9179f5410337da042  nginx-1.9.12.tar.gz
+7b741a45ba8c66972fc7261cd191bdc89179ad9cebbc5af59c899c56811b8838  lua-nginx-module-0.10.1rc1.tar.gz
 7922b0e3d5f3d9c4b275e4908cfb8f5fb1bfb3ac2df77f4c262cda56df21aab3  nginx-rtmp-module-1.1.7.tar.gz
-501f299abdb81b992a980bda182e5de5a4b2b3e275fbf72ee34dd7ae84c4b679  nginx-devel-kit-0.2.19.tar.gz
 b063611c6cb2d33bd43c4b17bf4135dda25f209bb77e4e66d1b156cffc37fbe6  nginx.logrotate
 3d8a90d2f75b7f24c4d74722b5b3ac11d85f416c2d7641b4280d7c126bfe8395  nginx.initd
 a24ef5843ae0afa538b00c37eb7da7870f9d7f146f52a9668678f7296cf71d9b  ipv6.patch"
-sha512sums="1ea79b8ade066faa4facdb13631b97c3228cc91f512dc98c7b1b153a489936f2bc13017ea67097cd303581720fd9bc3a212744ac0a03a1ea514e56321b407caa  nginx-1.9.11.tar.gz
-c57e7b5c8c29f17c3fdf0fadbcfa5732b77ee22b4e0eff346828a22fa0e862c11f9414f7fed39937dd5051bbd093f97c35bf3bf84e75d66ea67b0feb19f8dbcb  lua-nginx-module-0.10.1rc0.tar.gz
+sha512sums="b5f4cae48c85cdc9a95006b6a321834de9d18981cb1a25670c9fc948d86b9a8906d25a1ca174626eb418b0afdb3f2e1df3cbb6f5a48bd781e39e2470a4d52520  nginx-1.9.12.tar.gz
+6d9ab941bd89b6a4effb6ccec8aca7058ae4d0f1baa712616222f2fc7d60d78c76c33113a04c5ef71d28cfe55b6247720bd902726f8e93ed64ae50a84f653c0f  lua-nginx-module-0.10.1rc1.tar.gz
 9883462a04683f1e7af175da04b86d259ff6d677864667588fb073143f7130969eb2a5a5a48ddceda7a555b908580f179bdcacb7f0111413d51db5bfe43b396e  nginx-rtmp-module-1.1.7.tar.gz
-915954acf16a27fbd3c93c154012d38e864f1d8dfd51cde401bba26e46eb3e3c778ec4c92f4f8ed83ac001e96cee72765554d0e4da06acf6a4be5184b23b3657  nginx-devel-kit-0.2.19.tar.gz
 09b110693e3f4377349ccea3c43cb8199c8579ee351eae34283299be99fdf764b0c1bddd552e13e4d671b194501618b29c822e1ad53b34101a73a63954363dbb  nginx.logrotate
 1ea032cf88021ec8aa1401d284ea738364511cdb9f8c01670deb8e59aae570f5bbe17f0cbab73c0e08d6b342a621b6a9c014832168ed41f6028ecfa4211b60cf  nginx.initd
 68d64a84568ec2df0366925ab282a05ebe21a85044b6c7844a47573cfd8cc8ed119cc772358bc3fff36e2d4fdf583a730592825f5f98632993ca86d1f8438d5f  ipv6.patch"
-- 
2.7.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---